"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
require("../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../enums/pageEnum.js");
require("../../router/index.js");
require("../../store/modules/designStore/designStore.js");
require("../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../components/GoSkeleton/index.vue.js");
require("../../components/GoLoading/index.js");
require("../../settings/designSetting.js");
const components = require("../../utils/components.js");
const index_vue_vue_type_script_setup_true_lang = require("../../layout/components/LayoutHeaderPro/index.vue.js");
const useContextMenu_hook = require("./hooks/useContextMenu.hook.js");
const chartEditStore = require("../../store/modules/chartEditStore/chartEditStore.js");
const chartHistoryStore = require("../../store/modules/chartHistoryStore/chartHistoryStore.js");
const runtimeCore_esmBundler = require("../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = { class: "go-chart" };
const _hoisted_2 = { style: { "overflow": "hidden", "display": "flex" } };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    const chartHistoryStoreStore = chartHistoryStore.useChartHistoryStore();
    const chartEditStore$1 = chartEditStore.useChartEditStore();
    chartHistoryStoreStore.canvasInit(chartEditStore$1.getEditCanvas);
    const HeaderLeftBtn = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentHeader/headerLeftBtn/index.vue.js")));
    const HeaderRightBtn = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentHeader/headerRightBtn/index.vue.js")));
    components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentHeader/headerTitle/index.vue.js")));
    const ContentLayers = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentLayers/index.vue.js")));
    const ContentCharts = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentCharts/index.vue.js")));
    const ContentConfigurations = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentConfigurations/index.vue.js")));
    const ContentLoad = components.loadAsyncComponent(() => Promise.resolve().then(() => require("./ContentLoad/index.vue.js")));
    const { menuOptions, onClickOutSide, mousePosition, handleMenuSelect } = useContextMenu_hook.useContextMenu();
    return (_ctx, _cache) => {
      const _component_n_layout_content = runtimeCore_esmBundler.resolveComponent("n-layout-content");
      const _component_n_layout = runtimeCore_esmBundler.resolveComponent("n-layout");
      const _component_n_dropdown = runtimeCore_esmBundler.resolveComponent("n-dropdown");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createElementVNode("div", _hoisted_1, [
          runtimeCore_esmBundler.createVNode(_component_n_layout, null, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(index_vue_vue_type_script_setup_true_lang.default), null, {
                left: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(HeaderLeftBtn))
                ]),
                "ri-left": runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(HeaderRightBtn))
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(_component_n_layout_content, { "content-style": "overflow:hidden; display: flex" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createElementVNode("div", _hoisted_2, [
                    runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(ContentCharts)),
                    runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(ContentLayers))
                  ]),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(ContentConfigurations))
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        runtimeCore_esmBundler.createVNode(_component_n_dropdown, {
          placement: "bottom-start",
          trigger: "manual",
          size: "small",
          x: reactivity_esmBundler.unref(mousePosition).x,
          y: reactivity_esmBundler.unref(mousePosition).y,
          options: reactivity_esmBundler.unref(menuOptions),
          show: reactivity_esmBundler.unref(chartEditStore$1).getRightMenuShow,
          "on-clickoutside": reactivity_esmBundler.unref(onClickOutSide),
          onSelect: reactivity_esmBundler.unref(handleMenuSelect)
        }, null, 8, ["x", "y", "options", "show", "on-clickoutside", "onSelect"]),
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(ContentLoad))
      ], 64);
    };
  }
});
exports.default = _sfc_main;
